All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.models
Interface BoundedNumberInterface

All Superinterfaces:
  IncrementInterface, RangeInterface

All Known Implementing Classes:
  BoundedDouble, BoundedLong, IntegerRange

    public interface BoundedNumberInterface

extends RangeInterface, IncrementInterface

BoundedNumberInterface describes an interface that has a Number value bounded by minimum and maximum Number values and can be incremented using the IncrementInterface

Field Summary

Fields inherited from interface com.sas.models.IncrementInterface
`BLOCK, UNIT`

Method Summary
`abstract java.lang.Number` | `getNumberValue()` Get the current Number value
`abstract void` | `setNumberValue(java.lang.Number newValue)` Sets the current value of the BoundedNumberInterface object.
`abstract void` | `setNumberValues(java.lang.Number newValue, java.lang.Number min, java.lang.Number max)` Sets the current value, minimum, and maximum of the BoundedNumberInterface object.
`abstract void` | `setNumberValues(java.lang.Number newValue, java.lang.Number min, java.lang.Number max, java.lang.Number unit, java.lang.Number block)` Set the value, minimum, maximum, unitIncrement, and blockIncrement at the same time.

Methods inherited from interface com.sas.models.RangeInterface
`getMaximumNumber, getMinimumNumber, setMaximumNumber, setMinimumNumber`

Methods inherited from interface com.sas.models.IncrementInterface
`getBlockIncrementNumber, getUnitIncrementNumber, incrementBy, setBlockIncrementNumber, setUnitIncrementNumber`

Method Detail

### getNumberValue

    java.lang.Number getNumberValue()

  Get the current Number value

### setNumberValue

    void setNumberValue(java.lang.Number newValue)

  Sets the current value of the BoundedNumberInterface object. The current value will only be set to within the range of the minimum and maximum values.

  Parameters:
    `value` - the current value

### setNumberValues

    void setNumberValues(java.lang.Number newValue,
                         java.lang.Number min,
                         java.lang.Number max)

  Sets the current value, minimum, and maximum of the BoundedNumberInterface object. The current value will only be set to within the range of the minimum and maximum values.

  Parameters:
    `newValue` - the new current value
    `min` - the new current minimum
    `max` - the new current maximum

### setNumberValues

    void setNumberValues(java.lang.Number newValue,
                         java.lang.Number min,
                         java.lang.Number max,
                         java.lang.Number unit,
                         java.lang.Number block)

  Set the value, minimum, maximum, unitIncrement, and blockIncrement at the same time.

  Parameters:
    `value` - the new value
    `min` - the new minimum
    `max` - the new maximum
    `unit` - the new unit increment
    `block` - the new block increment

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.